MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0016416mantisbtinstallationpublic2013-09-27 22:322014-02-07 18:24
Reportervboctor 
Assigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2.15 
Target Version1.2.16Fixed in Version1.2.16 
Summary0016416: Improve first login experience by auto-redirecting to create project page
DescriptionAt the moment the installer redirects to create project page. However, if MantisBT is pre-installed, the user lands in My View Page without knowing what to do. We should handle the "first login" experience in MantisBT itself rather than the installation and provide a helpful getting started over time. For now, we should start with auto-redirecting to create project page if user is administrator and there aren't at least 1 project in the database.
TagsNo tags attached.
Attached Files

- Relationships
related to 0016420closeddregad Editing user preferences when no project exists triggers application error 20 
related to 0016421closedvboctor log in page does unnecessary db query following 0016416 

-  Notes
User avatar (0038126)
dregad (developer)
2013-09-28 11:51

Reopening, because this was pushed to a feature branch, not to one of the main branches (master-1.2.x or master) so it can't be considered as resolved.

See Victor's PR https://github.com/mantisbt/mantisbt/pull/94 [^]

To avoid confusion, I'll detach the changeset for FirstLogin branch.
User avatar (0038132)
dregad (developer)
2013-09-29 06:42

Fixed the mess in source integration tables ;-)

- Related Changesets
MantisBT: master fb121e83
Timestamp: 2013-09-28 20:13:00
Author: vboctor
Details ] Diff ]
Fixes 0016416: Improve first login experience by auto-redirecting to create project page.

If MantisBT is pre-installed, the user lands in My View Page without knowing what to do.
We should handle the "first login" experience in MantisBT itself rather than the installation
and provide a helpful getting started over time. For now, we should start with auto-redirecting
to create project page if user is administrator and there aren't at least 1 project in the database.

The cost of this check is one cheap query on the projects table that returns 0 or 1 entries
which is only run at login of an administrator.
mod - admin/install.php Diff ] File ]
mod - core/project_api.php Diff ] File ]
mod - login_cookie_test.php Diff ] File ]
MantisBT: master-1.2.x 930c6c3e
Timestamp: 2013-09-29 02:13:00
Author: vboctor
Details ] Diff ]
Fixes 0016416: Improve first login experience by auto-redirecting to create project page.

If MantisBT is pre-installed, the user lands in My View Page without knowing what to do.
We should handle the "first login" experience in MantisBT itself rather than the installation
and provide a helpful getting started over time. For now, we should start with auto-redirecting
to create project page if user is administrator and there aren't at least 1 project in the database.

The cost of this check is one cheap query on the projects table that returns 0 or 1 entries
which is only run at login of an administrator.
mod - login_cookie_test.php Diff ] File ]
mod - core/project_api.php Diff ] File ]
mod - admin/install.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-27 22:32 vboctor New Issue
2013-09-27 22:32 vboctor Status new => assigned
2013-09-27 22:32 vboctor Assigned To => vboctor
2013-09-27 22:33 vboctor Changeset attached => MantisBT FirstLogin 2b5691f0
2013-09-27 22:33 vboctor Status assigned => resolved
2013-09-27 22:33 vboctor Resolution open => fixed
2013-09-28 11:51 dregad Note Added: 0038126
2013-09-28 11:51 dregad Status resolved => assigned
2013-09-28 11:51 dregad Resolution fixed => reopened
2013-09-28 11:51 dregad Changeset removed MantisBT FirstLogin 2b5691f0 =>
2013-09-28 13:19 dregad Relationship added related to 0016420
2013-09-28 20:15 vboctor Changeset attached => MantisBT upstream-master-1.2.x 930c6c3e
2013-09-28 20:15 vboctor Status assigned => resolved
2013-09-28 20:30 vboctor Changeset removed MantisBT upstream-master-1.2.x 930c6c3e =>
2013-09-28 20:31 vboctor Fixed in Version => 1.2.16
2013-09-28 20:31 vboctor Target Version => 1.2.16
2013-09-28 22:29 vboctor Changeset attached => MantisBT master fb121e83
2013-09-29 06:40 vboctor Changeset attached => MantisBT master-1.2.x 930c6c3e
2013-09-29 06:42 dregad Note Added: 0038132
2013-09-29 10:43 dregad Relationship added related to 0016421
2013-09-30 03:11 dregad Resolution reopened => fixed
2014-02-07 18:24 dregad Status resolved => closed


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1154 seconds.
memory usage: 3,061 KB
Powered by Mantis Bugtracker